Bug 4250 - Unable to correctly access Sony SMO-F541SD magneto optical drives
Unable to correctly access Sony SMO-F541SD magneto optical drives
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-29 05:29 EDT by apont
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description apont 1999-07-29 05:29:25 EDT
We have a system of our own design based on the Intel 440BX
chipset fitted with a PII-400, 64MB SDRAM, 4.3GB Quantum
IDE hard drive, on board Adaptec AIC-7880 SCSI controller
connected to a Sony SMO-F541SD magneto optical drive.

When I try to create an EXT2 partition on the data
cartridge on a 400MB partition (650MB per side 1.3GB total
and according to Sony 1024 bytes per sector) using the
command 'mkfs -t ext2 /dev/sda1' the following information
is reported:

First data block = 1
Block size = 1024
Fragment size = 1024
101 block groups
8192 blocks per group
8192 fragments per group
2040 inodes per group

After creating the 101 inodes when it starts to write the
superblocks and filesystem accounting information the
following error message is output for a large number of
sectors...

scsidisk I/O error: dev 08:01, sector 1277964
SCSI disk error: host 0 channel 0 id 3 lun 0 return code
28000002
Current error sd08:01 sense key illegal request
Additional sense indicates logical block address out of
range.

If I create an identical sized partition on the 1.2GB
cartridge (600MB total per side - 512 bytes per sector)
then I have no problems.  Also I have no problems using
either cartridge size on a system running RedHat 4.0

If I issue the mkfs command from a text based console (CTRL-
ALT-F1) then the command fails with the error as shown
above.  However, if I run the command from an Xterm within
FVWM X-Windows then the command will work successfully.

Having had the failure with the standard Red Hat 6.0
installation I upgraded the kernel to 2.2.10 using a full
download of source from ftp.kernel.org and this exhibits
the same problems.
Comment 1 apont 1999-07-30 07:06:59 EDT
Further investigation shows that when using the 1.2GB cartridge (with
512 byte sectors) mkfs works correctly and reports block size as 1024
and fragment size 1024.  According to comments in the kernel source
(SD.C) the block size is twice the sector size - in which case for
the 1.3GB cartridge this should report 2048.  Also with the 1.3GB
cartridge when running mkfs it reports making 156 inode tables which
I believe to be twice the number required.

Note You need to log in before you can comment on or make changes to this bug.